﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class Code_GeoLocationSample : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

        
        Ektron.Cms.UserLocationData userLocationInfo = Ektron.Cms.UserContext.GetLocationInfo("64.199.198.2");//Pass in a non private IP address, does not work on an internal IP:
        //If GeoIpCity.dat/GeoIpLiteCity.dat file is present in webconfig
        int AreaCode = userLocationInfo.AreaCode;
        string City = userLocationInfo.City;
        string CountryCode = userLocationInfo.CountryCode;
        string CountryName = userLocationInfo.CountryName;
        double Distance = userLocationInfo.Distance(userLocationInfo);
        int DMACode = userLocationInfo.DMACode;
        double Latitude = userLocationInfo.Latitude;
        double Longitude = userLocationInfo.Longitude;
        int MetroCode = userLocationInfo.MetroCode;
        string PostalCode = userLocationInfo.PostalCode;
        string Region = userLocationInfo.Region;
        string RegionName = userLocationInfo.RegionName;
        // If GeoIpOrg.dat file and GeoIpCity.dat/GeoIpLiteCity.dat file is provided in web config
        string Organization = userLocationInfo.Organization;
        // If GeoIpDomain.dat and GeoIpCity.dat/GeoIpLiteCity.dat file is provided in web config
        string Domain = userLocationInfo.Domain;

       


        //Output
        Response.Write("City:" + City.ToString() + "</br>" + "Country:" + CountryName.ToString() +
         "<br />" + "Area Code:" + AreaCode.ToString() + "<br />" + "Country Code:" + CountryCode.ToString() + "</br>" + "Distance:" + Distance.ToString() + "</br>" +
         "</br" + "Latitude:" + Latitude.ToString() + "</br>" + "Postal Code:" + PostalCode.ToString() + "</br>" + "Domain:" + Domain.ToString() + "</br>" + "Organization:" + Organization.ToString());

      




      
    }
}